2489849 - Not able to connect Lumira to Oracle 12c R2 by jdbc driver

SAP Knowledge Base Article - Public

2489849 - Not able to connect Lumira to Oracle 12c R2 by jdbc driver

Symptom

  • oracle/jdbc/OracleDriver has been compiled by a more recent version of the Java Runtime (class file version 52.0), this version of the Java Runtime only recognizes class file version up to 51.0
  • Lumira cannot connect to Oracle 12.2 by JDBC driver
  • Oracle 12c R1 (12.1) is working fine with Lumira
  • Using universe connected to Oracle 12.2 is working fine

Environment

  • Lumira Desktop 1.x
  • Lumira Discovery 2.0 Beta SP 02
  • Oracle 12c R2 (Oracle 12.2)

Reproducing the Issue

  1. Start Lumira Desktop.
  2. New -> Query with SQL -> Oracle -> Oracle 12 - JDBC Drivers.
  3. Apply connection information.
  4. Click Connect.
  5. Get "oracle/jdbc/OracleDriver has been compiled by a more recent version of the Java Runtime (class file version 52.0), this version of the Java Runtime only recognizes class file version up to 51.0" message.

Cause

Currently, Lumira doesn't support Oracle 12.2 version. Product Group has added this in future plan.

 

Resolution

Workaround:

Universe connected to Oracle 12.2 is working fine in Lumira Desktop.

Keywords

Lumira Client, Oracle DB Database, direct connection by JDBC, ojdbc8.jar, , KBA , BI-LUM-DIS , Lumira Desktop/Discovery , Product Enhancement

Product

SAP Lumira, desktop edition 1.0